# Logo

Source: https://docs.gocardless.com/docs/api-reference/logo

## Create a logo associated with a creditor

`POST /branding/logos`

Creates a new logo associated with a creditor. If a creditor already has a logo, this will update the existing logo linked to the creditor.

We support JPG and PNG formats. Your logo will be scaled to a maximum of 300px by 40px. For more guidance on how to upload logos that will look
great across your customer payment page and notification emails see [here](https://developer.gocardless.com/gc-embed/setting-up-branding#tips_for_uploading_your_logo).

### Request body

Wrap request body attributes in a `logos` object.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `image` | string | No | Base64 encoded string. |
| `links` | object | No |  |

### Responses

| Status | Description |
| --- | --- |
| 201 | Resource created successfully |
| 400 | Bad Request |
| 401 | Unauthorised |
| 404 | Not found |
| 422 | Validation Error |
| 500 | Internal Error |
